libkf5torrent6_2.1-2_i386.deb


Advertisement

Description

libkf5torrent6 - KTorrent library for C++ / Qt 5 / KDE Frameworks

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libkf5torrent6_2.1-2_i386.deb
Package name libkf5torrent6
Package version 2.1
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://www.kde.org/applications/internet/ktorrent/
License -
Maintainer Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Download size 587.91 KB
Installed size 1.97 MB
The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
the BitTorrent protocol (mostly client side).
The library supports connectivity to HTTP and UDP trackers, mainline DHT and
the new generation Micro Transport Protocol (uTP). In addition, it provides
many powerful BitTorrent network features including but not limited to torrent
downloading and seeding, torrent creation and downloaded data verification,
magnet links, advanced peer management, IP blocking lists.

Alternatives

Package Version Architecture Repository
libkf5torrent6_2.1-2_amd64.deb 2.1 amd64 Debian Main
libkf5torrent6 - - -

Requires

Name Value
kio -
libc6 >= 2.11
libgcc1 >= 1:4.2
libgcrypt20 >= 1.7.0
libgmp10 -
libkf5archive5 >= 4.96.0
libkf5completion5 >= 4.97.0
libkf5configcore5 >= 4.97.0
libkf5coreaddons5 >= 4.97.0
libkf5crash5 >= 4.96.0
libkf5i18n5 >= 4.97.0
libkf5jobwidgets5 >= 4.96.0
libkf5kiocore5 >= 4.96.0
libkf5kiowidgets5 >= 4.96.0
libkf5service-bin -
libkf5service5 >= 4.96.0
libkf5solid5 >= 4.97.0
libkf5widgetsaddons5 >= 4.96.0
libqca-qt5-2 >= 2.0.2
libqt5core5a >= 5.9.0~beta
libqt5gui5 >= 5.0.2
libqt5network5 >= 5.2.0~alpha1
libqt5widgets5 >= 5.0.2
libqt5xml5 >= 5.1.0
libstdc++6 >= 4.9

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libkf5torrent6_2.1-2_i386.deb
Source Package libktorrent

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkf5torrent6 deb package:
    # sudo apt-get install libkf5torrent6

Files

Path
/usr/lib/i386-linux-gnu/libKF5Torrent.so.6
/usr/lib/i386-linux-gnu/libKF5Torrent.so.6.0.0
/usr/share/doc/libkf5torrent6/changelog.Debian.gz
/usr/share/doc/libkf5torrent6/changelog.gz
/usr/share/doc/libkf5torrent6/copyright

Changelog

2017-09-05 - Pino Toscano <pino@debian.org>
libktorrent (2.1-2) unstable; urgency=medium
* Team upload.
* Update symbols files from buildd's logs.
* Remove the doxygen build dependency, since the API docs are not generated
anyway.
* Bump Standards-Version to 4.1.0, no changes required.
* Upload to unstable.
2017-09-01 - Pino Toscano <pino@debian.org>
libktorrent (2.1-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Update the patches:
- cmake-gcrypt-version.diff: drop, obsolete
* Replace deprecated build dependencies:
- kio-dev -> libkf5kio-dev
* Rename libktorrent6 to libkf5torrent6, according to the new library name.
* Update install files.
* Update symbols files. (Closes: #853495)
* Do not pass -DCMAKE_USE_RELATIVE_PATHS=ON to cmake, as this option is gone
since cmake 3.2.
* No need to manually append CPPFLAGS to CFLAGS and CXXFLAGS, as dh 9 does
that already.
* Pass -DBUILD_TESTING=OFF to disable the building of unit tests: they are
not executed already, and a quick test here shows that they fail (most
probably to the lack of networking).
* Remove the libkf5torrent6 dependency in libktorrent-l10n, since the latter
is only a package with data.
2016-07-03 - Pino Toscano <pino@debian.org>
libktorrent (2.0.1-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Update the build dependencies following the port to Frameworks:
- remove kdelibs5-dev and libqca2-dev
- add extra-cmake-modules, qtbase5-dev, libkf5archive-dev, libkf5crash-dev,
libkf5i18n-dev, kio-dev, libkf5solid-dev, and libqca-qt5-2-dev
* Use the right dh addon:
- switch from kde to kf5 dh addon
- bump the pkg-kde-tools build dependency to >= 0.15.16
* Rename libktorrent5 to libktorrent6, following the SONAME bump.
* Update the patches:
- upstream_don-t-include-circular_buffer-in-moc-run.patch: drop,
backported from upstream
- set-pathmax.diff: refresh
* Fix extraction in cmake of the libcrypt version; patch
cmake-gcrypt-version.diff.
* Update install files.
* Update symbols file.
* Remove libktorrent-dbg in favour of the -dbgsym packages.
* Update dependencies in libktorrent-dev.
* Update Vcs-* fields.
* Switch Homepage away from the dead ktorrent.org.
* Add a watch file.
* Bump Standards-Version to 3.9.8, no changes required.
* Mark libktorrent6 as "Multi-Arch: same".
* Small updates in the descriptions.
* Replace (build) dependencies with non-transitional packages:
- libgmp3-dev -> libgmp-dev
- libgcrypt11-dev -> libgcrypt20-dev
* Minor copyright update.
2015-08-30 - Scott Kitterman <scott@kitterman.com>
libktorrent (1.3.1-5) unstable; urgency=medium
* Team upload.
* Update symbols from build logs
* Add definition of PATH_MAX when not otherwise defined to fix FTBFS on
hurd-i386 (Closes: #762581)
- Thanks to Svante Signell for the patch
2015-08-30 - Scott Kitterman <scott@kitterman.com>
libktorrent (1.3.1-4) unstable; urgency=medium
* Team upload.
[ Matthias Klose ]
* Update symbols file for GCC 5. (Closes: #777954)
[ Harald Sitter ]
* Add upstream_don-t-include-circular_buffer-in-moc-run.patch from upstream
to not include the circular_buffer boost header during meta object
compilation as it causes Qt4's MOC to fail on BOOST_JOIN which it cannot
process due to implementation limitations.
[ Adam Conrad ]
* Build-depend on libgcrypt11-dev
[ Scott Kitterman ]
* Backport gcc5 and boost1.58 changes from Ubuntu
* Bump standards version to 3.9.6 without further change
2013-11-06 - Modestas Vainius <modax@debian.org>
libktorrent (1.3.1-3) unstable; urgency=low
* Confirm symbols file on all arches, fixes FTBFSes.

See Also

Package Description
libkf5unitconversion-data_5.54.0-1_all.deb Support for unit conversion
libkf5unitconversion-dev_5.54.0-1_i386.deb development files for kunitconversion
libkf5unitconversion-doc_5.54.0-1_all.deb Support for unit conversion (documentation)
libkf5unitconversion5_5.54.0-1_i386.deb Support for unit conversion
libkf5wallet-bin_5.54.0-1_i386.deb Secure and unified container for user passwords
libkf5wallet-data_5.54.0-1_all.deb Secure and unified container for user passwords
libkf5wallet-dev_5.54.0-1_i386.deb development files for kwallet-framework
libkf5wallet-doc_5.54.0-1_all.deb Secure and unified container for user passwords
libkf5wallet5_5.54.0-1_i386.deb Secure and unified container for user passwords
libkf5wayland-dev_5.54.0-1_i386.deb development files for kwayland
libkf5wayland-doc_5.54.0-1_all.deb Qt library wrapper for Wayland libraries (documentation)
libkf5waylandclient5_5.54.0-1_i386.deb Qt library wrapper for Wayland libraries
libkf5waylandserver5_5.54.0-1_i386.deb Qt library wrapper for Wayland libraries
libkf5webengineviewer-dev_18.08.3-2_i386.deb KDE's Qt Web Engine Viewer - devel files
libkf5webengineviewer5abi1_18.08.3-2_i386.deb KDE's Qt Web Engine Viewer
Advertisement
Advertisement